<form class="root" [formGroup]="changeForm" (submit)="onSubmit($event)">
    <h1>Alterar Password</h1>

    <mat-form-field>
        <mat-label>Nova Password</mat-label>
        <input
            matInput
            [type]="hide ? 'password' : 'text'"
            name="password"
            formControlName="password"
        />
        <mat-icon class="hide-btn" (click)="hide = !hide" matSuffix>{{
            hide ? 'visibility_off' : 'visibility'
        }}</mat-icon>
        <mat-icon matPrefix>vpn_key</mat-icon>

        <mat-error *ngIf="changeForm.get('password').hasError('required')">
            Campo obrigatório!
        </mat-error>
    </mat-form-field>

    <mat-form-field>
        <mat-label>Confirmação Password</mat-label>
        <input
            [errorStateMatcher]="matcher"
            matInput
            [type]="hide ? 'password' : 'text'"
            name="confirmPassword"
            formControlName="confirmPassword"
        />
        <mat-icon matPrefix>vpn_key</mat-icon>

        <mat-error
            *ngIf="changeForm.get('confirmPassword').hasError('required')"
        >
            Campo obrigatório!
        </mat-error>

        <mat-error
            [hidden]="
                changeForm.get('confirmPassword').touched &&
                changeForm.hasError('notSame')
            "
        >
            As passwords não coincidem!
        </mat-error>
    </mat-form-field>

    <button
        [disabled]="!changeForm.valid"
        mat-raised-button
        color="primary"
        type="submit"
    >
        Alterar Password
    </button>

    <a routerLink="/" mat-button class="login-btn">
        Iniciar Sessão
        <mat-icon matSuffix>keyboard_arrow_right</mat-icon>
    </a>
</form>
